# List account IPs

`assignable_to_pool` in response lists which IPs can be assigned to DIPPs; this
field is present only if the account has 'DIPPs' feature enabled.
`total_count` contains the number of items returned in `items` (this depends on the
filters applied).

Endpoint: GET /v3/ips
Version: 3.0.0
Security: basicAuth

## Query parameters:

  - `dedicated` (boolean)
    Return only dedicated IPs

  - `enabled` (boolean)
    Return only enabled IPs

## Response 200 fields (application/json):

  - `assignable_to_pools` (array)
    list of IPs that can be assigned to dedicated IP pools.

  - `details` (array, required)
    list of detailed information for each IP

  - `details.ip` (string, required)
    the IP address

  - `details.is_on_warmup` (boolean, required)
    whether the IP is on warmup

  - `details.dedicated` (boolean, required)
    whether the IP is dedicated

  - `details.enabled` (boolean, required)
    whether the IP is enabled

  - `items` (array, required)
    list of IPs

  - `total_count` (integer, required)
    total number of IPs for the given query

